+++
draft = false
+++

Media queries (@media) are CSS blocks applied only to clients matching some criteria. For example, we may want to add rules for devices of a certain screen size with `@media min-width: 48em`. Or, remove a lot of cruft when the document is being sent to a printer with `@media print`. Here's a [general introduction](https://developer.mozilla.org/en-US/docs/Web/CSS/Media_Queries/Using_media_queries) to media queries, and here's [a tutorial](https://css-tricks.com/css-media-queries/) demoing what you can do with thosein practice.
