+++
title = "git-build.sh: un outil low-tech pour garder tes builds à jour"
date = 2020-04-25
+++

Est-ce que tu trouves ça dur de garder à jour tous tes projets git, et de rebuild tout quand il y a des mises à jour ? Bien, c'est peut-être facile pour quelques projets, mais que fais-tu quand il y en a plus ?

Maintenant, que fais-tu quand il y en a plus d'une dizaine répartis sur plusieurs serveurs ? La réponse est [git-build.sh](https://tildegit.org/southerntofu/git-build.sh) ! Ce script te permet de garder tes projets à jour, et d'automatiquement démarrer des taches ("task") quand des mises à jour sont disponibles. En plus, tu peux faire une configuration par machine (basée sur le `$HOSTNAME`) pour pouvoir partager le même `~/.git-build/` sur tes différentes machines.

Ce qui est spécial avec cet outil, c'est qu'il est **simple**. Son interface est conçue pour être à la fois sensée pour les humainEs, et scriptable par ordinateur. Cela permet de pouvoir la scripter avec tes outils favoris, tout en gardant la possibilité d'éditer quelque chose à la main si le besoin se fait sentir. Tout ce que tu dois savoir sur `git-build.sh` tient dans le fichier `README.md`.

Il y a probablement plein d'autres solutions dévelopées par d'autres personnes pour faire cela, pourtant je n'en ai pas trouvé. Si tu sais quelque chose, envoie moi un mail et j'ajouterai une mention dans le `README.md` du projet.

Ce blog est maintenant entièrement déployé grâce à `git-build.sh`. Pour publier un article, je commit et je push sur le dépôt, puis lance `git-build.sh` sur thunix.net. Si quelque chose va mal, j'ai `~/.git-build/static-publish.{log,err}` pour répondre à mes questions.

Voilà c'est tout. N'hésite pas à critiquer/commenter !
