+++
title = "Decentralized forge: distributing the means of digital production"
date = 2020-11-20
+++

This article began as a draft in february 2020, which i revised because the Free Software Foundation is looking for feedback on their high-priority projects list.

Our world is increasingly controled by software. From medical equipment to political repression to interpersonal relationships, software is eating our world (TODO: i don't remember this article was it good?). As the luddites and other worker collectives have with previous technologies in the past centuries, we've been wondering whether a particular piece of software empowers, or controls its users. In the software world, this question is often asked through the frame of free software: am i free to study the program, modify it according to my needs and distribute original or modified copies of it? 

However, considering individual pieces of software without their broader context is a lack of perspective. Just like in the physical world, the immense human and ecological impact of a product simply cannot be imagined by looking at the final outcome, so does a binary program tell us very little about its goal and the social conditions in which it was conceived and produced.

# Github considered harmful
# The means of production

Imagine there's a single workshop on the entire planet where you can build things. Whether you want to build a shelf or repair your car, you'll find there all the tools you need and a broad community of people you may be able to help out if you need. Nothing actually prevents you from crafting something in your own neighborhood, but you probably don't have all the tools you're gonna need, and your neighbors are not much more skilled or equipped than you are.

So you decide you want to go to this famous Github workshop island you keep hearing about. After a long plane flight, you reach this remote island where products are born. Leaving the plane, you are interrogated by Microsoft's immigration services who, after hearing your name and contact information, decide to let you in on the island.

Finally, there you are! Every street is filled with stressed people rushing from one place to another. Some are just standing there shouting their `CHANGELOG`, others are sitting around a beer or a card game arguing endlessly over technical details. You notice some even wear star badges on their clothes as a sign of social distinction for their successful product, as these stars you learn, you offer to people who built something useful for you.

Folks are having a chat in a corner, but suddenly a black van appears out of nowhere. Faceless officers step out of the van, seize all equipment and arrest the chatters in a brutal manner. Lots of people seem concerned, even terrified. A few cry, some scream, others try to articulate words for what's happening under their eyes. Very few dare to hit back: a couple punks here and there throw rocks and glass bottles at those strange officers, then run into the crowd before the cops can get their hands on them. And before we know it, the van is back on its way, already far from our eyes.

As you're not exactly sure what just happened, you ask around. It appears this black van belongs to the political police, and this arrest was not isolated, as several thousand people were detained at the exact same time. Why? It appears they were crafting pens and paper, which are highly illegal due to obvious copyright regulations to prevent ideas from being stolen. At least this time, the issue seems to be dividing the community: some people find it reasonable that people are arrested for practicing their craft, because it's for the good of copyright.

That sounds completely surreal to you, as where you're from every body has pens and papers, and they're very useful for poetry, design, keeping notes, and many other activities. What the people here call "stealing" ideas doesn't sound like stealing at all, as nobody is ever disposessed from an idea.


A few years ago, the situation was not as clear. When the police came to arrest catalonian craftspeople and official diplomats, many people were concerned, but simply looked away and resumed their activities. There was very little outrage, despite Microsoft's obvious collaboration with the Spanish colonial republic in oppressing and terrorizing an entire population. Back then, it was as if nobody cared, and few people have even mentioned it since. Don't you think it would make a bad impression to expose your generous host as a supporter of many fascist dictatorships and colonialist pretend-republics?

 solu volunteers and employees

 This particular place is called Github in the digital world.







